// priority: 1

StartupEvents.registry('item', event => {
  const placeholder = 'kubejs:item/example_item'
  const registration = 'kubejs:item/ship_registration_form'

  event.create('barn_blueprint')
    .displayName('谷仓蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('kitchen_blueprint')
    .displayName('厨房蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('hangar_blueprint')
    .displayName('机库蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('cartography_room_blueprint')
    .displayName('制图室蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('tool_shed_blueprint')
    .displayName('整备屋蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('merchant_camp_blueprint')
    .displayName('商人营地蓝图')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('tingbo_gang')
    .displayName('停泊港')
    .texture(placeholder)
    .maxStackSize(1)

  event.create('ship_registration_form')
    .displayName('船舶登记表')
    .texture(registration)
    .maxStackSize(1)
})
